QSpatialite plugin installation fault in QGIS master

2012-09-21 05:33 AM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15644

Description

Installing qspatialit in QGis master terminat with fault:

The plugin depends on some components missing on your system. You need to install following python module in order to enable it:

_qspatialite

Starting QGgis, popup window reports:

Konnte Erweiterung QspatiaLite nicht laden wegen eines Fehler beim Aufruf seiner classFactory()-Methode

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 164, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:/Dokumente und Einstellungen/gerhard/.qgis//python/plugins\\QspatiaLite\\__init__.py", line 34, in classFactory

    from qspatialite import QspatiaLite

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 360, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Dokumente und Einstellungen/gerhard/.qgis//python/plugins\\QspatiaLite\\qspatialite.py", line 29, in 

    from QspatiaLiteApp import QspatiaLiteApp

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 360, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Dokumente und Einstellungen/gerhard/.qgis//python/plugins\\QspatiaLite\\QspatiaLiteApp.py", line 27, in 

    from Classes.Database import *

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 360, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Dokumente und Einstellungen/gerhard/.qgis//python/plugins\\QspatiaLite\\Classes\\Database.py", line 1, in 

    from pyspatialite import dbapi2 as sqlite #Load PySpatiaLite

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 360, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis-dev/./python\\pyspatialite\\dbapi2.py", line 27, in 

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 360, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named _spatialite

Python-Version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS-Version:

1.9.0-Master Master, e4793d6

Python-Pfad: ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Dokumente und Einstellungen/gerhard/.qgis//python', 'C:/Dokumente und
Einstellungen/gerhard/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins',

'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\Dokumente und

Einstellungen\\\\gerhard\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms', '/usr/share/qgis/python']

History

#1 - 2012-09-21 07:31 AM - Alexander Bruy

- Status changed from Open to Rejected

This is QSpatiaLite error. Please submit such bugs to plugin bugtracker not to QGIS one

#2 - 2012-10-04 03:14 AM - Giuseppe Sucameli

- Status changed from Rejected to Closed

It's not a QSpatialite problem, but a OSGeo4W one (see http://lists.osgeo.org/pipermail/qgis-user/2012-April/016552.html) which should be fixed anyway.

Try to delete c:\\osgeo4w\\apps\\qgis\\python\\pyspatialite, then it should work.
